io.vertx.rxjava3.sqlclient

## Class Transaction

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.Transaction

-     public class Transaction
      extends Object

  A transaction.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Transaction>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction(Object delegate)`
    `Transaction(Transaction delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Completable` | `commit()` Like `commit()` with an handler to be notified when the transaction commit has completed
    `Completable` | `completion()` Like `completion()` but with a callback
    `boolean` | `equals(Object o)`
    `Transaction` | `getDelegate()`
    `int` | `hashCode()`
    `static Transaction` | `newInstance(Transaction arg)`
    `Completable` | `rollback()` Like `rollback()` with an handler to be notified when the transaction rollback has completed
    `Completable` | `rxCommit()` Like `commit()` with an handler to be notified when the transaction commit has completed
    `Completable` | `rxCompletion()` Like `completion()` but with a callback
    `Completable` | `rxRollback()` Like `rollback()` with an handler to be notified when the transaction rollback has completed
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Transaction> __TYPE_ARG

  - ### Constructor Detail

    - #### Transaction

          public Transaction(Transaction delegate)

    - #### Transaction

          public Transaction(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Transaction getDelegate()

    - #### commit

          public Completable commit()

      Like `commit()` with an handler to be notified when the transaction commit has completed
      Returns:

    - #### rxCommit

          public Completable rxCommit()

      Like `commit()` with an handler to be notified when the transaction commit has completed
      Returns:

    - #### rollback

          public Completable rollback()

      Like `rollback()` with an handler to be notified when the transaction rollback has completed
      Returns:

    - #### rxRollback

          public Completable rxRollback()

      Like `rollback()` with an handler to be notified when the transaction rollback has completed
      Returns:

    - #### completion

          public Completable completion()

      Like `completion()` but with a callback
      Returns:

    - #### rxCompletion

          public Completable rxCompletion()

      Like `completion()` but with a callback
      Returns:

    - #### newInstance

          public static Transaction newInstance(Transaction arg)

Copyright © 2024 Eclipse. All rights reserved.